# AODataKeyExists

Determines if a key exists in the database.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyExists(AOData aodata,const char keyname[],PetscTruth *flag)

Not collective

### Input Parameters

keyname -string name of key

### Output Parameter

flag -PETSC_TRUE if found, otherwise PETSC_FALSE

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/ao/examples/tutorials/ex1.c.html